# Class MathHelper

java.lang.Object
com.codename1.charts.util.MathHelper

public final class MathHelper extends Object
Utility class for math operations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final double`
  `NULL_VALUE`
  A value that is used a null value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<Double>`
  `getLabels(double start, double end, int approxNumLabels)`
  Computes a reasonable set of labels for a data interval and number of labels.
  `static double[]`
  `minmax(List<Double> values)`
  Calculate the minimum and maximum values out of a list of doubles.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Field Details

  - ### NULL_VALUE

    public static final double NULL_VALUE
    A value that is used a null value.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### minmax

    public static double[] minmax(List<Double> values)

    Calculate the minimum and maximum values out of a list of doubles.

    ###### Parameters

    - `values`: the input values

    ###### Returns

    an array with the minimum and maximum values

  - ### getLabels

    public static List<Double> getLabels(double start, double end, int approxNumLabels)

    Computes a reasonable set of labels for a data interval and number of labels.

    ###### Parameters

    - `start`: start value

    - `end`: final value

    - `approxNumLabels`: desired number of labels

    ###### Returns

    collection containing the label values